Skip to content
Soljio Docs
Esc
↑↓navigate↵open⌘Jpreview

List a program's registration questions, including archived ones.

List a program’s registration questions, including archived ones. An organization-scoped read using JSON filter arguments; requires catalog.read. Pagination cursors must be reused only with the same organization, operation and filters.

POST/queries/list_program_intake_questions
Authorization
AuthorizationBearer token (soljio_sk_<secret>) · headerrequired

Organization-scoped service token created by an owner/admin. Scope requirements are in x-required-scopes; these are service-token grants, not OAuth scopes. Revoked, expired, unknown and suspended-organization credentials all return 401.

Request body
requiredapplication/json
pagination_optsobjectrequired
Show properties
cursorstring | nullrequired
Show properties
Any of:
string
string
null
null
num_itemsintegerrequired
min 1 · max 100
program_idstringrequired

Opaque Soljio resource ID.

min length 1
Responses
200

Successful read.

dataobjectrequired
Show properties
activeobject[]required
Show properties
Array of object
idstringrequired

Opaque Soljio resource ID.

min length 1
kindstringrequired
Show properties
Any of:
string
string
string
string
string
string
optionsstring[]required
promptstringrequired
requiredbooleanrequired
versionnumberrequired
archivedobject[]required
Show properties
Array of object
idstringrequired

Opaque Soljio resource ID.

min length 1
kindstringrequired
Show properties
Any of:
string
string
string
string
string
string
optionsstring[]required
promptstringrequired
requiredbooleanrequired
versionnumberrequired
archived_cursorstring | nullrequired
Show properties
Any of:
string
string
null
null
request_idstring<uuid>required
400

invalid_request

errorobjectrequired
Show properties
codestringrequired
Allowed:invalid_request
messagestringrequired
request_idstring<uuid>required
401

unauthorized

errorobjectrequired
Show properties
codestringrequired
Allowed:unauthorized
messagestringrequired
request_idstring<uuid>required
403

forbidden

errorobjectrequired
Show properties
codestringrequired
Allowed:forbidden
messagestringrequired
request_idstring<uuid>required
404

not_found

errorobjectrequired
Show properties
codestringrequired
Allowed:not_found
messagestringrequired
request_idstring<uuid>required
405

method_not_allowed

errorobjectrequired
Show properties
codestringrequired
Allowed:method_not_allowed
messagestringrequired
request_idstring<uuid>required
409

conflict, idempotency_conflict

errorobjectrequired
Show properties
codestringrequired
Allowed:conflictidempotency_conflict
messagestringrequired
request_idstring<uuid>required
413

payload_too_large

errorobjectrequired
Show properties
codestringrequired
Allowed:payload_too_large
messagestringrequired
request_idstring<uuid>required
415

unsupported_media_type

errorobjectrequired
Show properties
codestringrequired
Allowed:unsupported_media_type
messagestringrequired
request_idstring<uuid>required
429

rate_limited

errorobjectrequired
Show properties
codestringrequired
Allowed:rate_limited
messagestringrequired
request_idstring<uuid>required
500

internal_error

errorobjectrequired
Show properties
codestringrequired
Allowed:internal_error
messagestringrequired
request_idstring<uuid>required
Try it
Server
Authorization
Bodyapplication/json
Request
curl -X POST 'https://api.soljio.com/v0/queries/list_program_intake_questions' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "pagination_opts": {
    "cursor": "string",
    "num_items": 1
  },
  "program_id": "string"
}'
Response
{
  "data": {
    "active": [
      {
        "id": "string",
        "kind": "short_text",
        "options": [
          "string"
        ],
        "prompt": "string",
        "required": true,
        "version": 0
      }
    ],
    "archived": [
      {
        "id": "string",
        "kind": "short_text",
        "options": [
          "string"
        ],
        "prompt": "string",
        "required": true,
        "version": 0
      }
    ],
    "archived_cursor": "string"
  },
  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
}